## yada 0.34

=== doc/Makefile ===
# Makefile for generating text file from LyX source

yada.txt: yada.html
	links -dump $< | \
	sed \
	    -e 's/> >/>>/g' \
	> $@

yada.html: yada.tex
	tth $<
	sed \
	    -e 's/<!---->/\&nbsp;/' \
	    -e 's!</dd>!<br />\&nbsp;</dd>!' \
	    -e '/File translated from$$/,/^version/d' $@ > $@.tmp
	mv -f $@.tmp $@

yada.tex: yada.lyx
	lyx -e latex $<
	sed \
	    -e 's/\\textless{}/</g' \
	    -e 's/\\textgreater{}/>/g' \
            -e 's/\\textasciitilde{}/\\~{}/g' \
            -e 's/\\textbackslash{}/$$\\backslash$$/g' \
            -e 's/\\textasciicircum{}/\\verb$$^$$/g' \
	    -e 's/^\\usepackage\[T1\]/\\usepackage[OT4]/' $@ > $@.tmp
	mv -f $@.tmp $@

clean:
	rm -f *.html *.tex *.tmp *.lyx~

distclean:
	rm -f *.txt *.html *.tex *.tmp *.lyx~
