## yada 0.9

=== debian/changelog ===
yada (0.9) unstable; urgency=medium

  * There's no such directory as /usr/X11R6/share, so don't install
    stuff into it.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Tue,  7 Dec 1999 20:10:05 +0000

yada (0.8) unstable; urgency=low

  * Maintainer release fixes the following bugs:
    - Closes:#41279: "License files are now in
      /usr/share/common-licenses/" and are now referenced as such.
    - Closes:#41281: "Reversed operator in modified line".
    - Closes:#41283: "yada cannot build some packages".  Escaped "." and
      "+" in package names when they are used in substvar variable names.
    - Closes:#41654: "Yada should use /usr/share/doc/package instead
      of /usr/doc/package".
    - Closes:#41932: "Manpages should be under /usr/share/man, not
      /usr/man".
  * Implement symlinks from /usr/doc/$pkg to /usr/share/doc/$pkg, in a
    similar manner to debhelper.
  * Updated to standards-version 3.0.1.

  * Start of internal code reorganisation; parsing of debian/packages
    file should now be more robust.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Fri, 29 Oct 1999 02:20:00 +0100

yada (0.7.4) unstable; urgency=low

  * NMU
  * Revert changes in 0.7.2 and 0.7.3 until the policy team has chosen whether
    to accept this or not.

 -- Samuel Tardieu <sam@debian.org>  Thu,  5 Aug 1999 19:17:24 +0200

yada (0.7.3) unstable; urgency=low

  * NMU
  * Use /usr/share/man instead of /usr/man. Comply with version 3.0.0 of the
    policy. Closes: #41932.

 -- Samuel Tardieu <sam@debian.org>  Mon, 26 Jul 1999 13:59:41 +0200

yada (0.7.2) unstable; urgency=low

  * NMU
  * Use /usr/share/doc/package instead of /usr/doc/package. Comply with version
    3.0.0 of the policy. Closes: #41654.

 -- Samuel Tardieu <sam@debian.org>  Tue, 20 Jul 1999 12:58:02 +0200

yada (0.7.1) unstable; urgency=low

  * NMU
  * Escape "." and "+" before using variable substitution. Closes: #41283.
  * Change "=." into ".=". Closes: #41281.
  * Point onto /usr/share/common-licenses. Closes: #41279.

 -- Samuel Tardieu <sam@debian.org>  Fri, 16 Jul 1999 15:59:48 +0200

yada (0.7) unstable; urgency=low

  * Unapply *.dpatches -after- running the packages file's clean field.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Fri,  9 Jul 1999 23:13:46 +0100

yada (0.6) unstable; urgency=low

  * Change dependency on "perl" to "perl5 | perl".

 -- Charles Briscoe-Smith <cpbs@debian.org>  Fri,  2 Jul 1999 15:26:23 +0100

yada (0.5) unstable; urgency=low

  * Check everything into PRCS.  Modify version strings to use prcs's
    improved version headers.

  * Change "echo -e" to "echo -E" in generated debian/rules; this stops
    backslash-escapes being interpreted too early.
  * Install debian/changelog as "changelog" in native packages.
  * Stamp generated debian/rules with yada version string.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Wed,  9 Jun 1999 01:29:00 +0100

yada (0.4) unstable; urgency=high

  * Fix a nasty bug in the code to recover after a failed patching or
    unpatching run.  Urgency=high because of this and the conffiles bug
    fixed in version 0.3.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Thu, 20 May 1999 01:13:19 +0100

yada (0.3) unstable; urgency=low

  * A couple of bug fixes to do with "yada install -conffile".
  * "yada install" died with "-conffile", not knowing to put files
    in /etc.
  * The "conffiles" control area file was ending up in the root directory,
    not in the control area.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Wed, 19 May 1999 15:49:42 +0100

yada (0.2) unstable; urgency=low

  * Yada revision 1.40.

  * debian/packages can now contain comments.  Lines starting with a
    "#" are now ignored, except as part of a multi-line field value.

  * New field, "Patches:", which gives a wildcard pattern; files in
    debian/ matching the pattern are treated as patches, for egcs-style
    automated patching and unpatching.  Note, this doesn't work -quite-
    like egcs's dpatches; read yada.txt before using.

  * "yada yada" is now more verbose.
  * In "yada yada", guess package name by breaking at -last- dash,
    not first.
  * "yada yada" now creates an initial changelog if there is no
    debian/changelog.
  * "yada yada" now creates the debian/ directory if it doesn't exist.

  * Changed meaning of "-conffile" to "yada install": now means to
    install the file in /etc, rather than meaning to add the file to
    the conffiles list.
  * All files in /etc are now added to conffiles automatically.

  * Add back in the $|=1 which I mistakenly removed, thinking it was
    for debugging.  Commented why it should be there.  This tidies up
    the presentation of the copyright file.
  * Warn if it looks like a proper copyright notice was omitted from the
    "Copyright:" field.
  * For native packages with no "Major-changes:" field, don't use an
    undefined variable, and don't put two spurious newlines into the
    copyright file.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Tue, 18 May 1999 11:23:58 +0100

yada (0.1) unstable; urgency=low

  * Yada revision 1.34.
  * Packaged yada as a Debian package.

  * More consistent handling of fields with empty first lines.
  * If the copyright licence of the package isn't standard, the first
    line of the "Copyright:" field should now be a single dot, rather
    than being empty.
  * I thought that install-docs could cope with several documents in one
    doc-base file.  It can't.  Yada now looks for "Document:" tags
    within the doc-base field, splits up individual doc-base files, and
    calls install-docs for them each separately.
  * Bomb out if we see an unrecognised field in debian/packages.
  * "yada install -script" added (equivalent to "-bin -unstripped") to
    ease installing of binaries without having them automatically
    stripped.
  * Yada now elides some otherwise useless junk from debian/rules in
    two cases: (a) there are no build-depends or build-conflicts, or

