=== debian/control ===
Source: yada
Maintainer: Charles Briscoe-Smith <cpbs@debian.org>
Section: devel
Priority: optional
Standards-Version: 3.0.1

Package: yada
Architecture: all
Depends: perl5 | perl, dpkg-dev
Description: Yet Another Debianisation Aid
 YADA is a Debian packaging helper.  It parses a special file,
 debian/packages, in a source package, and generates an appropriate
 debian/rules to control building of the package.
 .
 WARNING: YADA is still very experimental!  Use it at your own risk!
 (And please run Lintian over anything built with yada before uploading.)
