## yada 0.9.9

=== debian/changelog ===
yada (0.9.9) unstable; urgency=low

  * NMU, closes: #114537
  * yada modifies Build-Depends-Indep if it is necessary
  * clean debuild if yada is in debian/ directory
  * debconf in postrm maintainer script, closes: #109346
  * SHELL=/bin/bash, closes: #104530
  * Standards-Version: 3.5.6
  * Recommends: grep-dctrl

 -- Piotr Roszatycki <dexter@debian.org>  Fri,  5 Oct 2001 11:25:37 +0200

yada (0.9.8) unstable; urgency=medium

  * NMU by maintainer.  (Huh?!@*^&?  I'm still working on checking the
    patches made in previous NMUs, so I don't feel this is a "real"
    Maintainer Release.  Yes, I know it's odd.)
  * Disable the effects of "Build-Sequence: avoid-root" in debian/packages
    to avoid bug #96881 in dpkg-dev.  Other maintainers using yada
    should rebuild with this version if they were affected by bug 96860,
    "dpkg-shlibdeps et al.: should not do chown when not running as root".
    Doesn't close bug 96860, IMHO, but reduces its severity to "minor".

 -- Charles Briscoe-Smith <cpbs@debian.org>  Mon, 13 Aug 2001 20:33:18 +0100

yada (0.9.7) unstable; urgency=low

  * NMU
  * New perl policy for yada perl.

 -- Piotr Roszatycki <dexter@debian.org>  Tue, 10 Apr 2001 12:00:25 +0200

yada (0.9.6) unstable; urgency=medium

  * NMU
  * Fixed bug introduced in 0.9.4: yada didn't strip binaries.
  * Support for bash scripts
  * Init: field can define init script filename

 -- Piotr Roszatycki <dexter@debian.org>  Thu, 22 Feb 2001 13:41:18 +0100

yada (0.9.5) unstable; urgency=low

  * NMU
  * Standards-Version: 3.5.0
  * Support DEBFULLNAME and DEBEMAIL variables and detects correct package
    name for `yada yada'
  * New Debian Policy for Xfonts
  * Support [/path/to/file] for Enhances: and Conflicts:

 -- Piotr Roszatycki <dexter@debian.org>  Wed,  7 Feb 2001 13:09:06 +0100

yada (0.9.4) unstable; urgency=low

  * NMU
  * Doesn't strip binaries if $DEB_BUILD_OPTIONS=nostrip, closes: #81937

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 22 Jan 2001 17:13:29 +0000

yada (0.9.3) unstable; urgency=low

  * NMU
  * A lot of new features:
    + New fields for new dpkg.
    + Support for debconf, logrotate, init.d, xfonts
    + /usr/bin/yada is an option and debian/yada is used when exists
    + yada dpkg-shlibdeps backs and works like dh_shlibdeps
    + yada strip works like dh_strip
    + new way of generating substvars file
    + exporting of some variables in maintainer scripts
    + more in yada.txt
  * Fixed:
    + Doc-Base, virtual packages' dependecies
  * ${Source-Version} works well, closes: #48030.
  * Init field supports init.d scripts, closes: #39360.

 -- Piotr Roszatycki <dexter@debian.org>  Thu, 14 Dec 2000 13:49:34 +0100

yada (0.9.2) unstable; urgency=low

  * Remove useless chomp. Closes: #78955, #78857.

 -- Samuel Tardieu <sam@debian.org>  Thu,  7 Dec 2000 14:27:40 +0100

yada (0.9.1) unstable; urgency=low

  * NMU because some bugs have triggered no action in more than one year:
   - Closes:#70571. Add Build-Depends in control file.
   - Closes:#38585. Generate md5sums file.
   - Closes:#45085. Document yada install -info command.
   - Closes:#52705. Yada is not needed in debian/ anymore.
   - Closes:#41275. Yada now works with dependencies on virtual packages.

 -- Samuel Tardieu <sam@debian.org>  Wed, 30 Aug 2000 10:57:50 +0200
