=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Maintainer: Charles Briscoe-Smith <cpbs@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 3.0.1
+Standards-Version: 3.5.6
 
 Package: yada
 Architecture: all
-Depends: perl5 | perl, dpkg-dev
+Depends: dpkg-dev, perl5 | perl
+Recommends: grep-dctrl
 Description: Yet Another Debianisation Aid
  YADA is a Debian packaging helper.  It parses a special file,
  debian/packages, in a source package, and generates an appropriate
