=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,17 @@
 #! /usr/bin/make -f
 # Generated automatically from debian/packages
-# by yada v0.9, of Tue, 07 Dec 1999
+# by yada v0.9.7, of Tue, 07 Dec 1999
+# Modified by Piotr Roszatycki <dexter@debian.org>, Mon,  9 Apr 2001 23:41:30 +0200
+
+DEB_HOST_GNU_CPU    := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
+DEB_HOST_GNU_TYPE   := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_HOST_GNU_SYSTEM := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
+
+DEB_BUILD_GNU_CPU    := $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
+DEB_BUILD_GNU_TYPE   := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_BUILD_GNU_SYSTEM := $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)
+
+VERSION:=$(shell LC_ALL=C dpkg-parsechangelog | sed -ne 's/^Version: *\([^2]*\)/\1/p')
 
 .PHONY: default
 default:
@@ -11,15 +22,15 @@
 	echo " binary-indep       make all architecture-independent binary packages"; \
 	echo " clean              clean up the source package"; \
 	echo; \
-	echo " patch              apply patches from debian/*.dpatch"; \
-	echo " unpatch            unapply patches from debian/*.dpatch{,disabled}"; \
-	echo " build-only         compile the package but do not create any install trees"; \
+	echo " patch              apply patches from debian/*.diff"; \
+	echo " unpatch            unapply patches from debian/*.diff{,disabled}"; \
+	echo " install-tree       compile the package and create the install trees"; \
 	echo " clean-install-tree clean up only under debian/"; \
 	echo
 
 .PHONY: patch unpatch
-# Apply patches matching `debian/*.dpatch' to the source tree,
-# and unapply any applied patches `debian/*.dpatch.disabled'
+# Apply patches matching `debian/*.diff' to the source tree,
+# and unapply any applied patches `debian/*.diff.disabled'
 patch: debian/patch-stamp
 debian/patch-stamp:
 	@set -e; backupdirs=$$(ls -d debian/backup-* 2>/dev/null | wc -l); \
@@ -80,7 +91,7 @@
 	  fi; \
 	done
 
-	@set -e; for patchfile in debian/*.dpatch; do \
+	@set -e; for patchfile in debian/*.diff; do \
 	  if test -f "$$patchfile"; then \
 	    patchname="$$(echo "$$patchfile" | sed 's=^debian/==')"; \
 	    stampfile="debian/patch-$$patchname-applied"; \
@@ -167,29 +178,7 @@
 
 .PHONY: build-only build
 build-only: debian/build-stamp
-build: install-tree
+build: build-only
 
 # Make sure these rules and the control file are up-to-date
 
-.PHONY: rules control
-rules: debian/rules
-debian/rules: debian/yada debian/packages
-	chmod +x debian/yada
-	debian/yada rebuild rules
-
-control: debian/control
-debian/control: debian/yada debian/packages
-	chmod +x debian/yada
-	debian/yada rebuild control
-
-debian/build-stamp: debian/patch-stamp
-	@[ -f debian/yada -a -f debian/rules ]
-	touch debian/build-stamp
-
-.PHONY: install-tree
-install-tree: install-tree-any
-install-tree-any: \
-	debian/tmp-yada/DEBIAN/control
-
-debian/tmp-yada/DEBIAN/control: debian/build-stamp debian/control
-	rm -rf debian/tmp-yada
