## yada 0.29.1

=== debian/changelog ===
yada (0.29.1) unstable; urgency=low

  * Catalan DebConf templates, closes: #250116.

 -- Piotr Roszatycki <dexter@debian.org>  Thu, 27 May 2004 11:55:23 +0200

yada (0.29) unstable; urgency=low

  * Added amd64 to linux arch.
    Thanks to Christopher L Cheney <ccheney@debian.org>, closes: #249813.

 -- Piotr Roszatycki <dexter@debian.org>  Wed, 19 May 2004 15:19:37 +0200

yada (0.28) unstable; urgency=low

  * Ignore empty md5sum file.

 -- Piotr Roszatycki <dexter@debian.org>  Thu, 11 Mar 2004 19:51:44 +0100

yada (0.27) unstable; urgency=low

  * yada python removes compiled *.pyc and *.pyo.

 -- Piotr Roszatycki <dexter@debian.org>  Sun, 22 Feb 2004 14:16:37 +0100

yada (0.26.0.1) unstable; urgency=low

  * Replaces old yada-doc due to package.7 manpage migration, closes: #223296.

 -- Piotr Roszatycki <dexter@debian.org>  Mon,  8 Dec 2003 15:37:28 +0100

yada (0.26) unstable; urgency=low

  * packages(7) again in main yada package, closes: #221563.
  * New fields Cron, Cron-Daily, Cron-Monthly and Cron-Weekly for cron scripts.
  * New field Default for /etc/default script.
  * New field Modutils for /etc/modutils config.
  * New field Pam for /etc/pam.d config.
  * New architectures "netbsd" and "openbsd".
  * chmod +x debian/yada before "debuild" is not necessary. Perl is called
    instead.
  * New command "yada move".

 -- Piotr Roszatycki <dexter@debian.org>  Wed, 26 Nov 2003 17:11:49 +0100

yada (0.25) unstable; urgency=low

  * Fixed wrong path for ucf source file in postinst script.

 -- Piotr Roszatycki <dexter@debian.org>  Thu,  6 Nov 2003 19:32:04 +0100

yada (0.24) unstable; urgency=low

  * ucf have to be called on "configure" action in postinst script.

 -- Piotr Roszatycki <dexter@debian.org>  Tue,  4 Nov 2003 13:23:41 +0100

yada (0.23.0.1) unstable; urgency=low

  * The previous changelog entry lied. The yada is already released.

 -- Piotr Roszatycki <dexter@debian.org>  Fri, 31 Oct 2003 11:46:12 +0100

yada (0.23) unstable; urgency=low

  * UNRELEASED
  * New option -ucf for yada install -conf
  * Generate automatically db_stop at the end of maintainers scripts.
  * yada symlink might not to have -as option.
  * Versioned debconf dependency to be lintian errors free if mulitiselect
    field is used.
  * Fixed overrides file if only one entry.
  * Don't detect perl and python scripts in /usr/share/doc directory.

 -- Piotr Roszatycki <dexter@debian.org>  Tue, 28 Oct 2003 10:45:06 +0100

yada (0.22) unstable; urgency=low

  * Generate automatically postinst and postrm scripts if Config field
    exists.

 -- Piotr Roszatycki <dexter@debian.org>  Thu, 23 Oct 2003 16:54:39 +0200

yada (0.21) unstable; urgency=medium

  * Fixes broken update-rc.d support.

 -- Piotr Roszatycki <dexter@debian.org>  Sun,  7 Sep 2003 00:31:51 +0200

yada (0.20) unstable; urgency=medium

  * Another problem with versioned python dependencies.

 -- Piotr Roszatycki <dexter@debian.org>  Fri,  5 Sep 2003 11:52:41 +0200

yada (0.19) unstable; urgency=medium

  * Fixed problem with detecting of perl dynamically loaded modules.
    Only directories contained "/auto/" are searched for *.so files.
  * Ignore missing directories when finding perl and python scripts.

 -- Piotr Roszatycki <dexter@debian.org>  Wed, 20 Aug 2003 10:29:28 +0200

yada (0.18) unstable; urgency=medium

  * Fixed problem with detecting of python, closes: #205470

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 18 Aug 2003 13:59:07 +0200

yada (0.17) unstable; urgency=low

  * Supported Python scripts.
  * yada perl in 'Install' field is deprecated and it is called automatically.
  * Fixed maintainers script for init.d, closes: #205072.
  * Dropped support for perl < 5.006.

 -- Piotr Roszatycki <dexter@debian.org>  Wed, 13 Aug 2003 14:00:24 +0200

yada (0.16) unstable; urgency=low

  * Splitted to yada and yada-doc packages.
  * Fixed uninitialized variable in yada script.

 -- Piotr Roszatycki <dexter@debian.org>  Fri, 25 Jul 2003 09:56:34 +0200

yada (0.15) unstable; urgency=low

  * Use invoke-rc.d and don't call init scripts directly.
  * New default macros added: YADA_COMMAND and YADA_VERSION.
  * Works yada install -man manpage.1.gz for already gzipped files.
  * New option "Contains: kernel-modules" which works with make-kpkg.

 -- Piotr Roszatycki <dexter@debian.org>  Wed, 23 Jul 2003 16:19:22 +0200

yada (0.14.0.1) unstable; urgency=low

  * French DebConf templates, closes: #194741

 -- Piotr Roszatycki <dexter@debian.org>  Sat, 28 Jun 2003 21:39:39 +0200

yada (0.14) unstable; urgency=low

  * Back to unstable.
  * New field Upstream-Authors.
  * po-debconf supported.
  * Pass Version field for binary packages.
  * Provide examples, closes: #37551.
  * Generate man pages from POD source.

 -- Piotr Roszatycki <dexter@debian.org>  Tue,  6 May 2003 22:21:49 +0200

yada (0.13) experimental; urgency=medium

  * The "XIII" release.
  * Introduced preprocessor for macro commands and variables.
  * "yada rebuild" rebuilds all files
  * New fields Build-Arch and Build-Indep for build-arch and build-indep
    targets.
  * Pass X-* fields in control file.
  * Add Build-Depends: perl
  * Catch up failed test in debian/rules file, closes: #190774

 -- Piotr Roszatycki <dexter@debian.org>  Tue, 15 Apr 2003 13:12:05 +0200

yada (0.12) unstable; urgency=medium

  * Documentation generated from LyX source
  * Enchanced debian-control.syntax in /usr/share/doc/...
  * Does not die if TMPROOT and VERSION are set for backward compatibility

 -- Piotr Roszatycki <dexter@debian.org>  Wed, 19 Mar 2003 15:29:51 +0100

yada (0.11) unstable; urgency=low

  * Clean up with perltidy
  * import SOURCE=source-package-name variable
  * import PACKAGE variable only for binary packages
  * TMPROOT=$(pwd)/debian/tmp
  * New yada Contains field
  * New command yada copy
  * New command yada symlink
  * New option yada install -gzip|-bzip2
  * Don't check build time dependencies, as far as it is handled
    by dpkg-checkbuilddeps

