=== debian/rules ===
#!/usr/bin/make -f
# Generated automatically from debian/packages
# by yada v0.29, of Wed, 19 May 2004

DEB_HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_CPU     := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_TYPE    := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_GNU_SYSTEM  := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)

DEB_BUILD_ARCH       := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_GNU_CPU    := $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
DEB_BUILD_GNU_TYPE   := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_GNU_SYSTEM := $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)

VERSION:=$(shell LC_ALL=C dpkg-parsechangelog | sed -ne 's/^Version: *\([^2]*\)/\1/p')

SHELL=/bin/bash

.PHONY: default
default:
	@echo "Specify a target:"; \
	echo " build              compile the package"; \
	echo " build-arch         compile the architecture-dependent package"; \
	echo " build-indep        compile the architecture-independent package"; \
	echo " binary             make all binary packages"; \
	echo " binary-arch        make all architecture-dependent binary packages"; \
	echo " binary-indep       make all architecture-independent binary packages"; \
	echo " clean              clean up the source package"; \
	echo; \
	echo " clean-install-tree clean up only under debian/"; \
	echo

# Build the package and prepare the install tree

.PHONY: build-only build
build-only: debian/build-stamp
build: build-only

.PHONY: build-arch-only build-arch
build-arch-only: debian/build-arch-stamp
build-arch: build-arch-only

.PHONY: build-indep-only build-indep
build-indep-only: debian/build-indep-stamp
build-indep: build-indep-only

# Make sure these rules and the control file are up-to-date

.PHONY: rules control templates
rules: debian/rules
debian/rules: debian/yada debian/packages-tmp
	perl debian/yada rebuild rules

control: debian/control
debian/control: debian/yada debian/packages-tmp
	perl debian/yada rebuild control

templates: debian/templates
debian/templates: debian/yada debian/packages-tmp
	perl debian/yada rebuild templates

debian/build-stamp: debian/build-arch-stamp debian/build-indep-stamp
	@[ -f debian/yada -a -f debian/rules ]
	perl debian/yada patch "debian/patches/*.diff"
	@umask 022 \
	  && export pwd="$$(pwd)" \
	  && export TMPROOT="$$(pwd)/debian/tmp" \
	  && export SOURCE="yada" \
	  && export VERSION="$(VERSION)" \
	  && export DEB_HOST_GNU_CPU="$(DEB_HOST_GNU_CPU)" \
	  && export DEB_HOST_GNU_TYPE="$(DEB_HOST_GNU_TYPE)" \
	  && export DEB_HOST_GNU_SYSTEM="$(DEB_HOST_GNU_SYSTEM)" \
	  && export DEB_BUILD_GNU_CPU="$(DEB_BUILD_GNU_CPU)" \
	  && export DEB_BUILD_GNU_TYPE="$(DEB_BUILD_GNU_TYPE)" \
	  && export DEB_BUILD_GNU_SYSTEM="$(DEB_BUILD_GNU_SYSTEM)" && (\
	echo -E 'eval "yada () { perl $$(pwd)/debian/yada \"\$$@\"; }"; set -e; set -v';\
	echo -E 'echo test before-build';\
	echo -E 'for pod in *.pod; do';\
	echo -E '    eval pod2man $$(head -n1 $$pod | sed '\''s/^# pod2man //'\'') $$pod \';\
	echo -E '        > $$(basename $$pod .pod).$$(head -n1 $$pod | sed -e '\''s/.*--section=//'\'' -e '\''s/ .*//'\'')';\
	echo -E 'done';\
	echo -E '# New entry Package maintainer'\''s commands follow';\
	echo -E 'echo test build';\
	echo -E '# New entry Package maintainer'\''s commands follow';\
	echo -E 'echo test after-build') | /bin/sh
	touch debian/build-stamp

debian/build-arch-stamp:
	@[ -f debian/yada -a -f debian/rules ]
	perl debian/yada patch "debian/patches/*.diff"
	touch debian/build-arch-stamp

debian/build-indep-stamp:
	@[ -f debian/yada -a -f debian/rules ]
	perl debian/yada patch "debian/patches/*.diff"
	touch debian/build-indep-stamp

.PHONY: install-tree
install-tree: install-tree-any
install-tree-any: \
	debian/tmp-yada-doc/DEBIAN/control \
	debian/tmp-yada/DEBIAN/control

debian/tmp-yada-doc/DEBIAN/control: debian/build-stamp debian/control
	rm -rf debian/tmp-yada-doc
	umask 022 && install -d debian/tmp-yada-doc/DEBIAN
	install -d debian/tmp-yada-doc/usr/share/doc/yada-doc
	umask 022; perl debian/yada generate copyright \
	  > debian/tmp-yada-doc/usr/share/doc/yada-doc/copyright
	install -m 644 -p debian/changelog \
	  debian/tmp-yada-doc/usr/share/doc/yada-doc/changelog
	@umask 022 \
	  && export pwd="$$(pwd)" \
	  && export ROOT="$$(pwd)/debian/tmp-yada-doc" \
	  && export TMPROOT="$$(pwd)/debian/tmp" \
	  && export CONTROL="$$(pwd)/debian/tmp-yada-doc/DEBIAN" \
	  && export PACKAGE="yada-doc" \
	  && export SOURCE="yada" \
	  && export VERSION="$(VERSION)" \
	  && export DEB_HOST_GNU_CPU="$(DEB_HOST_GNU_CPU)" \
	  && export DEB_HOST_GNU_TYPE="$(DEB_HOST_GNU_TYPE)" \
	  && export DEB_HOST_GNU_SYSTEM="$(DEB_HOST_GNU_SYSTEM)" \
	  && export DEB_BUILD_GNU_CPU="$(DEB_BUILD_GNU_CPU)" \
	  && export DEB_BUILD_GNU_TYPE="$(DEB_BUILD_GNU_TYPE)" \
	  && export DEB_BUILD_GNU_SYSTEM="$(DEB_BUILD_GNU_SYSTEM)" && (\
	echo -E 'eval "yada () { perl $$(pwd)/debian/yada \"\$$@\"; }"; set -e; set -v';\
	echo -E 'yada install -doc doc/yada.txt debian/*.syntax';\
	echo -E 'yada install -doc -subdir examples examples/*';\
	echo -E 'yada install -doc -subdir examples/yada debian/packages debian/packages.* debian/patches/*.diff';\
	echo -E 'echo test "?" ok';\
	echo -E 'echo test "!?" ok';\
	echo -E 'echo echo line 1  echo line 2') | /bin/sh
	@umask 022 \
	  && export pwd="$$(pwd)" \
	  && export ROOT="$$(pwd)/debian/tmp-yada-doc" \
	  && export TMPROOT="$$(pwd)/debian/tmp" \
	  && export CONTROL="$$(pwd)/debian/tmp-yada-doc/DEBIAN" \
	  && export PACKAGE="yada-doc" \
	  && export SOURCE="yada" \
	  && export VERSION="$(VERSION)" && (\
	echo -E 'eval "yada () { perl $$(pwd)/debian/yada \"\$$@\"; }"; set -e; set -v';\
	echo -E 'yada perl';\
	echo -E 'yada python';\
	echo -E 'yada strip';\
	echo -E 'yada shlibdeps') | /bin/sh
	perl debian/yada compress yada-doc
	perl debian/yada generate maintscripts yada-doc
	find debian/tmp-yada-doc -type f -print \
	  | sed -n 's/^debian\/tmp-yada-doc\(\/etc\/.*\)$$/\1/p' \
	  > debian/tmp-yada-doc/DEBIAN/conffiles
	if test ! -s debian/tmp-yada-doc/DEBIAN/conffiles; then rm -f debian/tmp-yada-doc/DEBIAN/conffiles; fi
	perl debian/yada rebuild control
	perl debian/yada generate substvars yada-doc
	umask 022 && dpkg-gencontrol -isp -pyada-doc -Pdebian/tmp-yada-doc

debian/tmp-yada/DEBIAN/control: debian/build-stamp debian/control
	rm -rf debian/tmp-yada
	umask 022 && install -d debian/tmp-yada/DEBIAN
	install -d debian/tmp-yada/usr/share/doc/yada
	umask 022; perl debian/yada generate copyright \
	  > debian/tmp-yada/usr/share/doc/yada/copyright
	install -m 644 -p debian/changelog \
	  debian/tmp-yada/usr/share/doc/yada/changelog
	@umask 022 \
	  && export pwd="$$(pwd)" \
	  && export ROOT="$$(pwd)/debian/tmp-yada" \
	  && export TMPROOT="$$(pwd)/debian/tmp" \
	  && export CONTROL="$$(pwd)/debian/tmp-yada/DEBIAN" \
	  && export PACKAGE="yada" \
	  && export SOURCE="yada" \
	  && export VERSION="$(VERSION)" \
	  && export DEB_HOST_GNU_CPU="$(DEB_HOST_GNU_CPU)" \
	  && export DEB_HOST_GNU_TYPE="$(DEB_HOST_GNU_TYPE)" \
	  && export DEB_HOST_GNU_SYSTEM="$(DEB_HOST_GNU_SYSTEM)" \
	  && export DEB_BUILD_GNU_CPU="$(DEB_BUILD_GNU_CPU)" \
	  && export DEB_BUILD_GNU_TYPE="$(DEB_BUILD_GNU_TYPE)" \
	  && export DEB_BUILD_GNU_SYSTEM="$(DEB_BUILD_GNU_SYSTEM)" && (\
	echo -E 'eval "yada () { perl $$(pwd)/debian/yada \"\$$@\"; }"; set -e; set -v';\
	echo -E 'yada install -script debian/yada';\
	echo -E 'yada install -man yada.1';\
	echo -E 'yada install -man packages.7') | /bin/sh
	@umask 022 \
	  && export pwd="$$(pwd)" \
	  && export ROOT="$$(pwd)/debian/tmp-yada" \
	  && export TMPROOT="$$(pwd)/debian/tmp" \
	  && export CONTROL="$$(pwd)/debian/tmp-yada/DEBIAN" \
	  && export PACKAGE="yada" \
	  && export SOURCE="yada" \
	  && export VERSION="$(VERSION)" && (\
	echo -E 'eval "yada () { perl $$(pwd)/debian/yada \"\$$@\"; }"; set -e; set -v';\
	echo -E 'yada perl';\
	echo -E 'yada python';\
	echo -E 'yada strip';\
	echo -E 'yada shlibdeps') | /bin/sh
