## yada 0.30

=== debian/changelog ===
yada (0.30) unstable; urgency=low

  * Remove "command -v" bashizm from postinst scripts. 

 -- Piotr Roszatycki <dexter@debian.org>  Fri,  6 Aug 2004 11:10:20 +0200
