=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Priority: optional
 Standards-Version: 3.6.1
 Build-Depends-Indep: file, patch, perl, po-debconf
-Origin: debian
 
 Package: yada
 Architecture: all
