## yada 0.34

=== debian/changelog ===
yada (0.34) unstable; urgency=medium

  * Fix the Enhances field typo.
  * Fix the `yada yada' default template.

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 25 Apr 2005 18:41:19 +0200

yada (0.33) unstable; urgency=medium

  * Fix the thinko for "yada shlibdeps" command. The yada should scan
    for shlibs files and generate debian/shlibs.local file.

 -- Piotr Roszatycki <dexter@debian.org>  Wed,  6 Apr 2005 12:53:43 +0200

yada (0.32) unstable; urgency=low

  * Another fix for %if %else %endif logic.

 -- Piotr Roszatycki <dexter@debian.org>  Fri, 11 Mar 2005 12:53:31 +0100

yada (0.31) unstable; urgency=low

  * Fixed %if %else %endif logic. Now if the condition is not true, ignores
    nested %define and %include.
  * Danish Debconf translation. Closes: #285967.
  * Czech Debconf translation. Closes: #288021.

 -- Piotr Roszatycki <dexter@debian.org>  Thu, 10 Mar 2005 17:22:12 +0100
