## yada 0.35

=== debian/changelog ===
yada (0.35) unstable; urgency=low

  * man/*.pod:
    - Manual pages moved to man/ subdirectory.
  * debian/packages:
    - Standards-Version: 3.6.2
  * debian/yada:
    - New architectures: kfreebsd-i386, knetbsd-i386, m32r, netbsd-alpha, ppc64
    - Supports new dpkg-architecture
    - Fixed xfonts support. Thanks to Robert Luberda. Closes: #312388.
    - Add yada to Build-Depends even if Build-Depends-Indep is used.
      Closes: #312389.

 -- Piotr Roszatycki <dexter@debian.org>  Tue,  5 Jul 2005 10:57:56 +0200
